Múltiples vulnerabilidades encontrads en tarjetas gráficas ATI Radeon

Las vulnerabilidades de seguridad en algunas tarjetas gráficas AMD ATI Radeon podrían permitir a los atacantes ejecutar código de forma remota o realizar ataque de denegación de servicio.

Se revelaron un total de cuatro fallas de seguridad, las cuales afectaron al controlador AMD ATIDXX64.DLL. Los cuatro problemas han sido parcheados por AMD.

Cada una de las tres primeras vulnerabilidades, que se rastrean como CVE-2019-5124, CVE-2019-5147 y CVE-2019-5146, tienen un puntaje CVSS de 8.6.

Para desencadenar estos defectos de seguridad fuera de los límites (Out of Bond), un atacante necesitaría suministrar un sombreador de píxeles malformado especialmente diseñado.

Este tipo de ataque, explica Cisco Talos en un informe de vulnerabilidad, puede activarse desde el modo de usuario invitado de VMware «para provocar un Out of Bond Read en el proceso vmware-vmx.exe en el host, o teóricamente a través de WEBGL (sitio web remoto). «

Los investigadores de Cisco probaron y confirmaron estas vulnerabilidades en AMD ATIDXX64.DLL, versión 26.20.13025.10004, que se ejecuta en las tarjetas gráficas Radeon RX 550/550, en VMware Workstation 15 con Windows 10 x64 como guestVM.

En cuanto a la cuarta vulnerabilidad, afecta al controlador AMD ATIDXX64.DLL, versiones 26.20.13031.10003, 26.20.13031.15006 y 26.20.13031.18002 (la misma serie y plataforma de tarjetas gráficas).

El problema de confusión de tipos puede ser causado por un sombreador de píxeles especialmente diseñado y podría conducir a la ejecución potencial de código. Un atacante puede desencadenar la falla del huésped VMware al proporcionar un archivo de sombreador especialmente diseñado.

«La vulnerabilidad se activará en el proceso vmware-vmx.exe en el host, o teóricamente a través de WEBGL (sitio web remoto), lo que conducirá a la ejecución potencial de código (a través de una confusión de tipos vtable)», explica Cisco Talos.